Get keyword details
This endpoint returns details for a specified keyword.
With this endpoint you will get:
- Keyword SEO difficulty
- Organic SERP results with essential metrics
- Number of results in SERP
- Click-through rates for each organic position
Limits
Each request is counted towards your SERP lookups limit. Lookup is not counted if you make the identical request within 24 hours.
Authorization
ApiKeyAuth x-access-token<token>
API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Query Parameters
location_id?integer
ID of location. 0 or no value means 2840 (United States).
language_id?integer
Language ID
platform_id?integer
Platform: 1 desktop (default), 2 mobile.
Default
1Value in
1 | 2page?integer
page, default 0
kw*string
keyword
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.mangools.com/v3/kwfinder/serps?kw=example"{
"rkID": "string",
"serp": {
"_id": "aa93adafb6466917d51dc3bf836d32da",
"kw": "seo specialist",
"page": 0,
"location_id": 2840,
"location": {
"_id": 2840,
"code": "us",
"label": "New York,United States"
},
"platform_id": 1,
"items": [
{
"type": "SIMILAR_QUESTIONS",
"size": {
"t": 828.859375,
"l": 180,
"b": 1052.859375,
"r": 832
},
"screenCoverage": 0,
"visPart": 0
},
{
"type": "ORGANIC",
"url": "https://en.wikipedia.org/wiki/Monitoring",
"title": "Monitoring - Wikipedia",
"desc": "Monitoring (medicine), the observation of a disease, condition or one or several medical parameters over time · Baby monitoring · Biomonitoring, of toxic chemical ...",
"size": {
"t": 1092.859375,
"l": 180,
"b": 1212.859375,
"r": 780
},
"domain": "wikipedia.org",
"topRank": 13,
"m": {
"fb": {
"v": {
"l": null,
"og": null
},
"ts": 1617190715
},
"moz": {
"v": {
"upa": 70,
"pda": 98
},
"ts": 1617190715
},
"majestic": {
"v": {
"Status": "Found",
"ExtBackLinks": 441,
"RefDomains": 152,
"ACRank": 2,
"RefIPs": 99,
"ItemType": 3,
"RefSubNets": 97,
"CitationFlow": 16,
"TrustFlow": 10,
"TrustMetric": 10,
"IndexedURLs": 1,
"NonUniqueLinkTypeHomepages": "8",
"NonUniqueLinkTypeIndirect": "228",
"NonUniqueLinkTypeDeleted": "26",
"NonUniqueLinkTypeNoFollow": "209",
"NonUniqueLinkTypeProtocolHTTPS": "237",
"NonUniqueLinkTypeFrame": "0",
"NonUniqueLinkTypeImageLink": "11",
"NonUniqueLinkTypeRedirect": "0",
"NonUniqueLinkTypeTextLink": "436",
"TotalNonUniqueLinks": "447",
"OutLinksInternal": "",
"OutLinksExternal": "",
"OutDomainsExternal": "",
"RefDomainsEDU": 0,
"ExtBackLinksEDU": 0,
"RefDomainsGOV": 0,
"ExtBackLinksGOV": 0,
"RefDomainsEDU_Exact": 0,
"ExtBackLinksEDU_Exact": 0,
"RefDomainsGOV_Exact": 0,
"ExtBackLinksGOV_Exact": 0
},
"ts": 1617190715
},
"rank": {
"v": {
"r": 55
},
"ts": 1617190715
}
}
}
],
"browser": {
"doc": {
"w": 1366,
"h": 3213
},
"view": {
"w": 1366,
"h": 768
}
},
"rank": 39,
"rank_updated_at": 1592618403,
"created_at": 1592618403,
"ctr": [
0.1
],
"results": 2360000000,
"serp_results": null,
"serp_snapshot_id": "58dc27755a3518edf5bb650abadf22d1.2021-03-31",
"serp_source_url": "https://example.com/serp/58dc27755a3518edf5bb650abadf22d1.2021-03-31.html",
"serpFeaturesImpact": 2
},
"kwOpps": {
"isOutdatedPage": true,
"missingWordsInTitle": [
"string"
]
},
"searchIntent": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"contentTypes": [
"string"
],
"serpFeatures": [
"string"
]
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "ValidationError",
"message": "Your request is invalid",
"errors": [
"\"kw\" is required"
]
}
}{
"error": {
"type": "RateLimit",
"message": "Too many requests in short period. Wait retry_after seconds (also sent as the Retry-After header), then send this same request again. Send requests one at a time, not in parallel.",
"retry_after": 30
}
}